/**
 * Plugin plxMyChristmas
 *
 * @version	1
 * @date	01/11/2021
 * @author	Stéphane Tortelier-Gambiraso alias Petit Pouyo (www.petitpouyo.fr)
 **/
 
// N´OUBLIEZ PAS: De changez le chemin vers  votre image
christmas_img = "/plugins/plxMyChristmas/box.gif";
 
// BONUS: Vous pouvez facilement regler le nombre de cadeau que vous voulez sur chaque page...
christmas_no = 15;
 
if (typeof(window.pageYOffset) == "number")
{
   christmas_browser_width = window.innerWidth;
   christmas_browser_height = window.innerHeight;
}
else if (document.body && (document.body.scrollLeft || document.body.scrollTop))
{
   christmas_browser_width = document.body.offsetWidth;
   christmas_browser_height = document.body.offsetHeight;
}
else if (document.documentElement && (document.documentElement.scrollLeft || document.documentElement.scrollTop))
{
   christmas_browser_width = document.documentElement.offsetWidth;
   christmas_browser_height = document.documentElement.offsetHeight;
}
else
{
   christmas_browser_width = 500;
   christmas_browser_height = 500;   
}
 
christmas_dx = [];
christmas_xp = [];
christmas_yp = [];
christmas_am = [];
christmas_stx = [];
christmas_sty = [];
 
for (i = 0; i < christmas_no; i++)
{
   christmas_dx[i] = 0;
   christmas_xp[i] = Math.random()*(christmas_browser_width-50);
   christmas_yp[i] = Math.random()*christmas_browser_height;
   christmas_am[i] = Math.random()*20;
   christmas_stx[i] = 0.02 + Math.random()/10;
   christmas_sty[i] = 0.7 + Math.random();
   if (i > 0) document.write("<\div id=\"christmas_flake"+ i +"\" style=\"position:absolute;z-index:"+i+"\"><\img src=\""+christmas_img+"\" border=\"0\"><\/div>"); else document.write("<\div id=\"christmas_flake0\" style=\"position:absolute;z-index:0\"><a href=\"https://www.petitpouyo.fr\ target=\"_blank\"><\img src=\""+christmas_img+"\" border=\"0\"></a><\/div>");
}
 
function christmasStart()
{
   for (i = 0; i < christmas_no; i++)
   {
      christmas_yp[i] += christmas_sty[i];
      if (christmas_yp[i] > christmas_browser_height-50)
      {
         christmas_xp[i] = Math.random()*(christmas_browser_width-christmas_am[i]-30);
         christmas_yp[i] = 0;
         christmas_stx[i] = 0.02 + Math.random()/10;
         christmas_sty[i] = 0.7 + Math.random();
      }
      christmas_dx[i] += christmas_stx[i];
      document.getElementById("christmas_flake"+i).style.top=christmas_yp[i]+"px";
      document.getElementById("christmas_flake"+i).style.left=christmas_xp[i] + christmas_am[i]*Math.sin(christmas_dx[i])+"px";
   }
   christmas_time = setTimeout("christmasStart()", 10);
}
christmasStart();